
CoCoALib - Slug #81

DMPI vs DMPII is slower than expected

24 Jan 2012 12:59 - Anna Maria Bigatti

Status: Closed Start date: 19 Jan 2012

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Various Estimated time: 4.10 hours

Target version: CoCoALib-0.9950 Spent time: 4.10 hours

Description

Investigation with profiler needed to understand this difference.

History

#1 - 24 Jan 2012 13:00 - Anna Maria Bigatti

- Project changed from CoCoA to CoCoALib

- Status changed from New to Resolved

- Assignee set to John Abbott

#2 - 24 Jan 2012 13:01 - Anna Maria Bigatti

- % Done changed from 0 to 100

#3 - 24 Jan 2012 14:20 - John Abbott

The problem was simply that certain overloads of myAddMulSummand (with 4 args) were missing, so a default (slow) implementation was being used

instead.

The change made the slow cases (DMP, DMPI) a bit faster but did not affect the fast case (DMPII).

#4 - 01 Feb 2012 11:35 - Anna Maria Bigatti

- Category set to Various

- Status changed from Resolved to Closed

- Estimated time changed from 4.00 h to 4.10 h
